#!/bin/bash

xinput set-prop --type=float "AR1020 Touchscreen" "Coordinate Transformation Matrix" 1 0 0 0 1 0 0 0 1
echo "0,0,0,0,0,0,0,0,0,0,0,0" | sudo tee /sys/module/ar1020_i2c/parameters/calibration > /dev/null

#export TSLIB_TSDEVICE="/dev/input/event1"
isrot=$(grep "fbcon=rotate:2" /proc/cmdline) || true
if [ "x$isrot" != "x" ] ; then
  sudo ts_calibrate_quadrant -r
else
  sudo ts_calibrate_quadrant
fi
sudo cp /etc/pointercal_c /sys/module/ar1020_i2c/parameters/calibration
